//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "lebcb_7a.h"
//---------------------------------------------------------------------------
#pragma link "LEDlp32"
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormCreate(TObject *Sender)
{
  FTagForeColor = clBlue;
  FTagBackColor = clWindow;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormShow(TObject *Sender)
{
  // LEdit1.MultiLineItems := True;
  // LEdit1.StartInComments := True;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::New1Click(TObject *Sender)
{
  LEdit1->NewFile();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Open1Click(TObject *Sender)
{
  if (OpenDialog1->Execute()) {
    LEdit1->LoadFromFile(OpenDialog1->FileName);
  }
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Save1Click(TObject *Sender)
{
  LEdit1->SaveFile();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::SaveAs1Click(TObject *Sender)
{
  LEdit1->SaveFileAs();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Exit1Click(TObject *Sender)
{
  Close();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::HighlightTagsClick(TObject *Sender)
{
  if (HighlightTags->Checked) {
    HighlightTags->Checked = FALSE;
    LEdit1->Highlight = FALSE;
    LEdit1->Invalidate();
  }
  else {
    HighlightTags->Checked = TRUE;
    LEdit1->Highlight = TRUE;
    LEdit1->Invalidate();
  }
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Font1Click(TObject *Sender)
{
  FontDialog1->Font = LEdit1->Font;
  if (FontDialog1->Execute()) {
    LEdit1->Font = FontDialog1->Font;
  }
}
//---------------------------------------------------------------------------
void __fastcall TForm1::TagsForegroundColor1Click(TObject *Sender)
{
  ColorDialog1->Color = FTagForeColor;
  if (ColorDialog1->Execute()) {
    FTagForeColor = ColorDialog1->Color;
  }
  LEdit1->Invalidate();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::TagsBackgroundColor1Click(TObject *Sender)
{
  ColorDialog1->Color = FTagBackColor;
  if (ColorDialog1->Execute()) {
    FTagBackColor = ColorDialog1->Color;
  }
  LEdit1->Invalidate();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::ForegroundColor1Click(TObject *Sender)
{
  ColorDialog1->Color = LEdit1->Font->Color;
  if (ColorDialog1->Execute()) {
    LEdit1->Font->Color = ColorDialog1->Color;
  }
}
//---------------------------------------------------------------------------
void __fastcall TForm1::BackgroundColor1Click(TObject *Sender)
{
  ColorDialog1->Color = LEdit1->Color;
  if (ColorDialog1->Execute()) {
    LEdit1->Color = ColorDialog1->Color;
  }
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FileButtonClick(TObject *Sender)
{
  int MenuX;
  int MenuY;

  MenuX = (Form1->Left + FileButton->Left + 4);
  MenuY = ((Form1->Top + FileButton->Top) + (FileButton->Height + 22));
  FilePopupMenu->Popup(MenuX, MenuY);
}
//---------------------------------------------------------------------------
void __fastcall TForm1::OptionsButtonClick(TObject *Sender)
{
  int MenuX;
  int MenuY;

  MenuX = (Form1->Left + OptionsButton->Left + 4);
  MenuY = ((Form1->Top + OptionsButton->Top) + (OptionsButton->Height + 22));
  OptionsPopupMenu->Popup(MenuX, MenuY);
}
//---------------------------------------------------------------------------
void __fastcall TForm1::LEdit1ControlHighlight(TObject *Sender, WORD WordType,
	long WordValue, AnsiString WordStr, TColor &ForeClr, TColor &BackClr)
{
  ForeClr = FTagForeColor;
  BackClr = FTagBackColor;
  LEdit1->MsgResult = 3;
}
//---------------------------------------------------------------------------